summaryrefslogtreecommitdiffstats
path: root/source/n/nmap
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/nmap')
-rwxr-xr-xsource/n/nmap/nmap.SlackBuild19
-rw-r--r--source/n/nmap/slack-desc12
2 files changed, 20 insertions, 11 deletions
diff --git a/source/n/nmap/nmap.SlackBuild b/source/n/nmap/nmap.SlackBuild
index 1a20178a5..f980567bf 100755
--- a/source/n/nmap/nmap.SlackBuild
+++ b/source/n/nmap/nmap.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=nmap
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -53,7 +63,6 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-nmap
@@ -85,7 +94,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/nmap-$VERSION \
--without-nmap-update \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/n/nmap/slack-desc b/source/n/nmap/slack-desc
index 89e96372e..aa42e5564 100644
--- a/source/n/nmap/slack-desc
+++ b/source/n/nmap/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
nmap: nmap (network scanner)
nmap:
nmap: Nmap ("Network Mapper") is an open source utility for network
-nmap: exploration or security auditing. It was designed to rapidly scan
-nmap: large networks, although it works fine against single hosts. Nmap
+nmap: exploration or security auditing. It was designed to rapidly scan
+nmap: large networks, although it works fine against single hosts. Nmap
nmap: uses raw IP packets in novel ways to determine what hosts are
nmap: available on the network, what services (ports) they are offering,
nmap: what operating system (and OS version) they are running, what type of
nmap: packet filters/firewalls are in use, and dozens of other
-nmap: characteristics. Nmap runs on most types of computers, and both
+nmap: characteristics. Nmap runs on most types of computers, and both
nmap: console and graphical versions are available.